0

TARGET FriendlyARM mini210s

I have successfully cross-compiled Chromium for ARM SEE WORKFLOW HERE.

How do I install the Chromium on my bare linux 3.0.8 armv7l?

What I have done so far

I copied over ./chrome/installer/linux/debian_wheezy_arm-sysroot files onto my target (not sure that was the right thing, but it seems reasonable enough)

When I try to run Chrome I am getting this error:

[root@target chrome-release]# ./chrome
./chrome: error while loading shared libraries: libattr.so.1: cannot open shared object file: No such file or directory
UPDATE I resolved this particular issue here QUESTION 1 : Where do I find libattr source or binary and install it on my target?

I have found a file, but I'd rather try to x-compile from source.

QUESTION 2 : How do I have resolved consistantly without breaking my target?

This helped ... but I feel that I am messing my Linux 3.0.8 armv7l instance.

[root@target chrome-release]# ./chrome
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by ./chrome)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by ./chrome)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libkeyed_service_content.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libkeyed_service_content.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libkeyboard.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libbase_prefs.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libstorage.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libstorage.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libnet.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libnet.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgfx.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libgfx.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libmessage_center.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libviews.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libviews.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libevents_devices.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libcontent.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libcontent.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libv8.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libv8.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libdbus.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libskia.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libppapi_proxy.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libppapi_proxy.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libprinting.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libdomain_reliability.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libapp_list.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libmojo_common_lib.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libblink_web.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libblink_web.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgcm.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libmedia.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libmedia.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libbase_i18n.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libui_base.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libui_base.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libstorage_common.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libppapi_host.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libsessions_content.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libcc.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libcc.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libbase.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libbase.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libevents_base.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/liburl_matcher.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgin.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libcompositor.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libash.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libash.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libmojo_system_impl.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgtk2ui.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libgtk2ui.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libpolicy_component.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libpolicy_component.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libsql.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libblink_platform.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libdevice_bluetooth.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libdevice_bluetooth.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/liburl_lib.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libcrcrypto.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libcrcrypto.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libaura.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libipc.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libipc.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libsync_core.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgpu.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libgpu.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgesture_detection.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libevents.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libppapi_shared.so)
./chrome: /lib/libc.so.6: version `GLIBC_2.9' not found (required by /usr/lib/libgio-2.0.so.0)
./chrome: /lib/libc.so.6: version `GLIBC_2.9' not found (required by /lib/libglib-2.0.so.0)
./chrome: /lib/libc.so.6: version `GLIBC_2.11' not found (required by /usr/lib/libcairo.so.2)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libcc_surfaces.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libcc_surfaces.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libdevice_battery.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libdevice_battery.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libwebkit_gpu.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgl_wrapper.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libmedia_blink.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgpu_blink.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libipc_mojo.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgles2_utils.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgles2_implementation.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /sdcard/chrome-release/lib/libgles2_implementation.so)
./chrome: /lib/libc.so.6: version `GLIBC_2.10' not found (required by /lib/libdbus-1.so.3)
./chrome: /lib/libc.so.6: version `GLIBC_2.11' not found (required by /usr/lib/libfreetype.so.6)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libwtf_unittest_helpers.so)
./chrome: /lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /sdcard/chrome-release/lib/libgl_in_process_context.so)
./chrome: /lib/libresolv.so.2: version `GLIBC_2.9' not found (required by /usr/lib/libkrb5.so.3)

UPDATE - Install on mini210s w/ linux 3.0.8 armv7l target

When I try this:

# LD_PRELOAD=/lib/libc-2.13.so;/lib/libresolv-2.13.so ./chrome -v
Segmentation fault
How do get more information about the reason of this segmentation fault?
$ file ./chrome
./chrome: ELF 32-bit LSB shared object, ARM, EABI5 version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.26, not stripped

How do I know whether this compiled file should run on my SBC w/ linuc 3.0.8 armv7l?

Also asked on chromium-dev group

UPDATE Tried to install on BeagleBone Black

root@beaglebone:~/chromium# uname -a
Linux beaglebone 3.8.13-bone67 #1 SMP Wed Sep 24 21:30:03 UTC 2014 armv7l GNU/Linux

I am getting the same segmentation fault

root@beaglebone:~/chromium# ./chrome
Segmentation fault

Determine file type

root@beaglebone:~/chromium# file chrome
chrome: ELF 32-bit LSB shared object, ARM, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.26, BuildID[sha1]=0x99f2a5210e0831419cf2bb4c9c64839cf03673f4, not stripped
0

To resolve the libattr.so.1: cannot open shared object file: No such file or directory issue, I have downloaded an armhf version of the library here and installed on my SBC, but I still have the SEGFAULT issue

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.